opendkim-gengraphs(8)

NAME
opendkim-gengraphs - OpenDKIM statistics graph generation tool

SYNOPSIS
opendkim-gengraphs [options]

DESCRIPTION
opendkim-gengraphs collates data accumulated by the OpenDKIM statistics feature into an HTML report including graphs about the daily behaviour of specific domains of interest. Requires access to gnuplot(1).

OPTIONS

--dbhost=host
    Attempts to connect to the database server on the named host. The default is "localhost".

--dbname=name
    Requests a connection to the database called name. The default is "opendkim".

--dbpasswd=password
    Attempts to authenticate to the database server using the specified password. The default is "opendkim".

--dbport=port
    Tries to connect to the database at the specified TCP port. The default is 3306.

--dbuser=user
    Attempts to authenticate to the database server as the specified user. The default is "opendkim".

--domain={ domain | file }
    Adds the named domain, or domains extracted from the named file, to the set of domains for which a graph should be generated. Strings that start with "/" or "./" are assumed to be files from which domain naems should be read.

--help
    Prints a usage message and exits.

--nocircles
    Prevents the script from requesting circles in graphs to show point magnitude (also known as a bubble graph) for installations that have versions of gnuplot(1) that don't support it.

--nounsigned
    Suppresses generation of a graph for unsigned mail.

--output=file
    Writes an HTML report to the specified file. Graphs will be generated in the same directory.

--verbose
    Requests verbose output.

--version
    Prints version number and exits.

VERSION
This man page covers the version of opendkim-gengraphs that shipped with version 2.10.3 of OpenDKIM.

COPYRIGHT
Copyright (c) 2011, 2012, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendkim(8), opendkim-importstats(8)

RFC6376 - DomainKeys Identified Mail